for the file don't just try the first one listed in RTLDLIST
again. We already have the status.
2006-04-30 Ulrich Drepper <drepper@redhat.com>
+ * elf/ldd.bash.in: If --verify loop fails to find a dynamic linker
+ for the file don't just try the first one listed in RTLDLIST
+ again. We already have the status.
+
* nis/nss_nisplus/nisplus-publickey.c (parse_grp_str): PIDLIST is
supposed to have NGRPS elements.
test -x "$file" || echo 'ldd:' $"\
warning: you do not have execution permission for" "\`$file'" >&2
RTLD=
+ ret=1
for rtld in ${RTLDLIST}; do
if test -x $rtld; then
verify_out=`${rtld} --verify "$file"`
esac
fi
done
- if test -z "${RTLD}"; then
- set ${RTLDLIST}
- RTLD=$1
- verify_out=`${RTLD} --verify "$file"`
- ret=$?
- fi
case $ret in
0)
# If the program exits with exit code 5, it means the process has been